<?php

if ( ! defined( 'ABSPATH' ) ) { exit; }

 if ( ! defined( 'ABSPATH' ) ) { exit; } class FS_Storage { private static $_instances = array(); private $_storage; private $_network_storage; private $_module_type; private $_module_slug; private $_blog_id = 0; private $_is_multisite; private $_is_network_active = false; private $_is_delegated_connection = false; private static $_NETWORK_OPTIONS_MAP; static function instance( $module_type, $slug ) { $key = $module_type . ':' . $slug; if ( ! isset( self::$_instances[ $key ] ) ) { self::$_instances[ $key ] = new FS_Storage( $module_type, $slug ); } return self::$_instances[ $key ]; } private function __construct( $module_type, $slug ) { $this->_module_type = $module_type; $this->_module_slug = $slug; $this->_is_multisite = is_multisite(); if ( $this->_is_multisite ) { $this->_blog_id = get_current_blog_id(); $this->_network_storage = FS_Key_Value_Storage::instance( $module_type . '_data', $slug, true ); } $this->_storage = FS_Key_Value_Storage::instance( $module_type . '_data', $slug, $this->_blog_id ); } function set_network_active( $is_network_active = true, $is_delegated_connection = false ) { $this->_is_network_active = $is_network_active; $this->_is_delegated_connection = $is_delegated_connection; } function set_site_blog_context( $blog_id ) { $this->_storage = $this->get_site_storage( $blog_id ); $this->_blog_id = $blog_id; } function store( $key, $value, $network_level_or_blog_id = null, $flush = true ) { if ( $this->should_use_network_storage( $key, $network_level_or_blog_id ) ) { $this->_network_storage->store( $key, $value, $flush ); } else { $storage = $this->get_site_storage( $network_level_or_blog_id ); $storage->store( $key, $value, $flush ); } } function clear_all( $store = true, $exceptions = array(), $network_level_or_blog_id = null ) { if ( ! $this->_is_multisite || false === $network_level_or_blog_id || is_null( $network_level_or_blog_id ) || is_numeric( $network_level_or_blog_id ) ) { $storage = $this->get_site_storage( $network_level_or_blog_id ); $storage->clear_all( $store, $exceptions ); } if ( $this->_is_multisite && ( true === $network_level_or_blog_id || is_null( $network_level_or_blog_id ) ) ) { $this->_network_storage->clear_all( $store, $exceptions ); } } function remove( $key, $store = true, $network_level_or_blog_id = null ) { if ( $this->should_use_network_storage( $key, $network_level_or_blog_id ) ) { $this->_network_storage->remove( $key, $store ); } else { $storage = $this->get_site_storage( $network_level_or_blog_id ); $storage->remove( $key, $store ); } } function get( $key, $default = false, $network_level_or_blog_id = null ) { if ( $this->should_use_network_storage( $key, $network_level_or_blog_id ) ) { return $this->_network_storage->get( $key, $default ); } else { $storage = $this->get_site_storage( $network_level_or_blog_id ); return $storage->get( $key, $default ); } } function save( $network_level_or_blog_id = null ) { if ( $this->_is_network_active && ( true === $network_level_or_blog_id || is_null( $network_level_or_blog_id ) ) ) { $this->_network_storage->save(); } if ( ! $this->_is_network_active || true !== $network_level_or_blog_id ) { $storage = $this->get_site_storage( $network_level_or_blog_id ); $storage->save(); } } function get_module_slug() { return $this->_module_slug; } function get_module_type() { return $this->_module_type; } function migrate_to_network() { if ( ! $this->_is_multisite ) { return; } $updated = false; if ( ! isset( self::$_NETWORK_OPTIONS_MAP ) ) { self::load_network_options_map(); } foreach ( self::$_NETWORK_OPTIONS_MAP as $option => $storage_level ) { if ( ! $this->is_multisite_option( $option ) ) { continue; } if ( isset( $this->_storage->{$option} ) && ! isset( $this->_network_storage->{$option} ) ) { $this->_network_storage->store( $option, $this->_storage->{$option}, false ); $updated = true; } } if ( ! $updated ) { return; } $this->_network_storage->save(); } private static function load_network_options_map() { self::$_NETWORK_OPTIONS_MAP = array( 'affiliate_application_data' => 0, 'beta_data' => 0, 'connectivity_test' => 0, 'handle_gdpr_admin_notice' => 0, 'has_trial_plan' => 0, 'install_sync_timestamp' => 0, 'install_sync_cron' => 0, 'is_anonymous_ms' => 0, 'is_network_activated' => 0, 'is_on' => 0, 'is_plugin_new_install' => 0, 'network_install_blog_id' => 0, 'pending_sites_info' => 0, 'plugin_last_version' => 0, 'plugin_main_file' => 0, 'plugin_version' => 0, 'sdk_downgrade_mode' => 0, 'sdk_last_version' => 0, 'sdk_upgrade_mode' => 0, 'sdk_version' => 0, 'sticky_optin_added_ms' => 0, 'subscriptions' => 0, 'sync_timestamp' => 0, 'sync_cron' => 0, 'was_plugin_loaded' => 0, 'network_user_id' => 0, 'plugin_upgrade_mode' => 0, 'plugin_downgrade_mode' => 0, 'is_network_connected' => 0, 'is_network_activation' => 0, 'license_migration' => 0, 'install_timestamp' => 1, 'prev_is_premium' => 1, 'require_license_activation' => 1, 'activation_timestamp' => 2, 'expired_license_notice_shown' => 2, 'is_whitelabeled' => 2, 'last_license_key' => 2, 'last_license_user_id' => 2, 'prev_user_id' => 2, 'sticky_optin_added' => 2, 'uninstall_reason' => 2, 'is_pending_activation' => 2, 'pending_license_key' => 2, 'is_extensions_tracking_allowed' => 2, 'is_anonymous' => 3, ); } private function is_multisite_option( $key ) { if ( ! isset( self::$_NETWORK_OPTIONS_MAP ) ) { self::load_network_options_map(); } if ( ! isset( self::$_NETWORK_OPTIONS_MAP[ $key ] ) ) { return false; } if ( 0 === self::$_NETWORK_OPTIONS_MAP[ $key ] ) { return true; } if ( 3 === self::$_NETWORK_OPTIONS_MAP[ $key ] ) { return false; } if ( ! $this->_is_network_active ) { return false; } if ( 1 === self::$_NETWORK_OPTIONS_MAP[ $key ] ) { return true; } if ( 2 === self::$_NETWORK_OPTIONS_MAP[ $key ] && ! $this->_is_delegated_connection ) { return true; } return false; } private function should_use_network_storage( $key, $network_level_or_blog_id = null ) { if ( ! $this->_is_multisite ) { return false; } if ( is_numeric( $network_level_or_blog_id ) ) { return false; } if ( is_bool( $network_level_or_blog_id ) ) { return $network_level_or_blog_id; } return $this->is_multisite_option( $key ); } private function get_site_storage( $blog_id = 0 ) { if ( ! is_numeric( $blog_id ) || $blog_id == $this->_blog_id || 0 == $blog_id ) { return $this->_storage; } return FS_Key_Value_Storage::instance( $this->_module_type . '_data', $this->_storage->get_secondary_id(), $blog_id ); } function __set( $k, $v ) { if ( $this->should_use_network_storage( $k ) ) { $this->_network_storage->{$k} = $v; } else { $this->_storage->{$k} = $v; } } function __isset( $k ) { return $this->should_use_network_storage( $k ) ? isset( $this->_network_storage->{$k} ) : isset( $this->_storage->{$k} ); } function __unset( $k ) { if ( $this->should_use_network_storage( $k ) ) { unset( $this->_network_storage->{$k} ); } else { unset( $this->_storage->{$k} ); } } function __get( $k ) { return $this->should_use_network_storage( $k ) ? $this->_network_storage->{$k} : $this->_storage->{$k}; } }